* {
	font-family: 'Roboto', sans-serif;
	box-sizing: border-box;
	margin: 0;
	padding: 0;
}

html {
	font-size: 62.5%;
}

body {
	background-color: black;
	font-family: 'Roboto', sans-serif;
	font-size: 1.6rem;
}

#contenedor {
	margin: 1em;
	padding: 0.5rem 1rem 1rem;
	background-color: #fff;
	border-radius: 0.4em;
	border-style: solid;
	border-width: 2px;
	border-color: #f00;
}

header {
	background-color: #fff;
	border-bottom: solid #f00;
	color: #000;
	display: flex;
	justify-content: space-between;
	align-items: center;
	padding: 1rem;
	position: fixed;
	top: 0;
	left: 0;
	width: 100%;
	z-index: 10;
}

nav ul {
	display: flex;
	list-style: none;
}

nav ul li:last-child {
	margin-right: 0;
}

nav a {
	font-size: 2.2rem;
}

nav a,
p a ,div a{
	color: #000;
	text-decoration: none;
	transition: all 0.3s ease;

}

nav a:hover,
p a:hover, div a:hover {
	color: #f00;
}

main {
	margin-top: 7rem;
}

section {
	margin-bottom: 5rem;
}

section h2 {
	font-size: 2.2rem;
	margin-bottom: 2rem;
}

section ul {
	list-style: none;
}

section li {
	font-size: 1.5rem;
	margin-bottom: 1rem;
}

section li:before {
	content: "-";
	margin-right: 1rem;
}

section#contacto {
	background-color: #fff;
	border-width: 1px;
	border-radius: 5px;
	padding: 3rem;
	position: relative;
}

section#contacto:before {
	background-size: cover;
	background-position: center;
	filter: opacity(0.2);
	position: absolute;
	top: 0;
	right: 0;
	bottom: 0;
	left: 0;
}

section#contacto form {
	display: flex;
	flex-wrap: wrap;
	margin: 0 3rem;
}

section#contacto label {
	display: inline;
	font-size: 2rem;
	margin-bottom: 1rem;
}

section#contacto input,
section#contacto textarea {
	border: #f00;
	background-color: lightgray;
	border-radius: 0.5rem;
	font-size: 2rem;
	margin-bottom: 2rem;
	padding: 1rem;
	width: 100%;
}

section#contacto input:focus,
section#contacto textarea:focus {

	box-shadow: 0 0 0.5rem rgba(0, 0, 0, 0.3);
}

section#contacto textarea {
	height: 10rem;
}

section#contacto button {
	background-color: black;
	border: none;
	border-radius: 0.5rem;
	color: #fff;
	font-size: 2rem;
	padding: 1rem 2rem;
	transition: all 0.3s ease;
}

section#contacto button:hover {
	background-color: #fff;
	color: #f00;
}

.botones-contacto {
	display: flex;
	flex-wrap: wrap;
	align-items: center;
}

.botones-contacto a {
	margin-right: 1rem;
}

.botones-contacto a:last-child {
	margin-right: 0;
}

.botones-contacto img {
	height: 6rem;
}


.contact {
	height: 520px;
	background-position: center center;
	-webkit-background-size: cover;
	-moz-background-size: cover;
	-o-background-size: cover;
	background-size: cover
}

.center {
	text-align: center;
}

/* Cuadros y lineas rojas */
.bl {
	border-left: solid 1px red;
}

.border {
	border: solid 1px #f00;
	padding: 3rem;
}

.padding-3 {
	border: solid 1px #fff;
	padding: 3rem;
}

.divider {
	height: 1px;
	overflow: hidden;
	background-color: #f00;
}

.black-divider {
	height: 1px;
	overflow: hidden;
	background-color: lightgray;
}

/* Margenes de componentes */
.mr-1 {
	margin-right: 0.5rem;
}

.mr-2 {
	margin-right: 1rem;
}

.mr-3 {
	margin-right: 1.5rem;
}

.mr-4 {
	margin-right: 2rem;
}

.mr-5 {
	margin-right: 2.5rem;
}

.mb-1 {
	margin-bottom: 0.5rem;
}

.mb-2 {
	margin-bottom: 1rem;
}

.mb-3 {
	margin-bottom: 1.5rem;
}

.mb-4 {
	margin-bottom: 2rem;
}

.mb-5 {
	margin-bottom: 2.5rem;
}

.fadeInLeft {
	animation-name: fadeInLeft;
	animation-duration: 2s;
}

.fadeInRight {
	animation-name: fadeInRight;
	animation-duration: 2s;
}

@keyframes fadeInLeft {
	from {
		opacity: 0;
		transform: translateX(-50px);
	}

	to {
		opacity: 1;
		transform: translateX(0);
	}
}

@keyframes fadeInRight {
	from {
		opacity: 0;
		transform: translateX(50px);
	}

	to {
		opacity: 1;
		transform: translateX(0);
	}
}

section#servicios:hover .fadeInLeft {
	animation-name: fadeInLeft;
	animation-duration: 2s;
}

section#servicios:hover .fadeInRight {
	animation-name: fadeInRight;
	animation-duration: 2s;
}

.content {
	position: relative;
	display: inline-block;
	text-align: center;
}

.tx-over {
	background-color: #fff;
	opacity: 0.8;
	position: absolute;
	top: 40%;
	left: 40%;
	font-size: 3.5rem;
	font-weight: bold;
}